/// <reference types="node" />
import { Collection } from "mongodb";
import { AsyncDisposable } from "using-statement";
import { EventEmitter } from "events";
export { using } from "using-statement";
export declare class MongodbDriver extends EventEmitter implements AsyncDisposable {
    private id;
    private alive;
    private client;
    private database;
    private collection;
    private constructor();
    initialize(): Promise<void>;
    openDatabase(databaseName: string): MongodbDriver;
    db(databaseName: string): MongodbDriver;
    openConnection(collectionName: string): Collection;
    get(collectionName: string): Collection;
    access(): Collection;
    col(): Collection;
    isAlive(): boolean;
    private checkAlive;
    private autoClose;
    close(): Promise<boolean>;
    dispose(): Promise<void>;
    static create(uri: string, alive?: boolean): Promise<MongodbDriver>;
}
export declare function mongoDbDriverFactory(uri: string, alive?: boolean): Promise<MongodbDriver>;
